summaryrefslogtreecommitdiffstats
path: root/libraries/openmotif
diff options
context:
space:
mode:
author Vincent Batts2010-05-11 22:54:17 +0200
committer Erik Hanson2010-05-11 22:54:17 +0200
commiteeb017cb86e12bff583a7bb467f39504f044bb9d (patch)
treee3a3531f189c45c9612b8ac508290034fd4e3b88 /libraries/openmotif
parentb1454c92148f84ca00ab149cd118cc3467034949 (diff)
downloadslackbuilds-eeb017cb86e12bff583a7bb467f39504f044bb9d.tar.gz
libraries/openmotif: Added to 12.1 repository
Diffstat (limited to 'libraries/openmotif')
-rw-r--r--libraries/openmotif/README6
-rw-r--r--libraries/openmotif/openmotif.SlackBuild70
-rw-r--r--libraries/openmotif/openmotif.info8
-rw-r--r--libraries/openmotif/slack-desc8
4 files changed, 92 insertions, 0 deletions
diff --git a/libraries/openmotif/README b/libraries/openmotif/README
new file mode 100644
index 0000000000..e4ff44356b
--- /dev/null
+++ b/libraries/openmotif/README
@@ -0,0 +1,6 @@
+Open Motif is the freely available source code distribution for the Motif
+user interface component toolkit. Open Motif is built on top of the standard
+X Toolkit(Xt) and X11 libraries.
+
+This conflicts with the lesstif package that comes with Slackware; in other
+words, only one should be installed at any given time.
diff --git a/libraries/openmotif/openmotif.SlackBuild b/libraries/openmotif/openmotif.SlackBuild
new file mode 100644
index 0000000000..5629e3f76b
--- /dev/null
+++ b/libraries/openmotif/openmotif.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for openmotif
+
+# Written by Vincent Batts, vbatts@batts.mine.nu
+# Modified by SlackBuilds.org
+
+set -e
+
+PRGNAM=openmotif
+VERSION=2.3.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \; || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-themes \
+ --disable-static || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYRIGHT.MOTIF INSTALL.configure BUGREPORT ChangeLog LICENSE README RELNOTES RELEASE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/openmotif/openmotif.info b/libraries/openmotif/openmotif.info
new file mode 100644
index 0000000000..217bd51c96
--- /dev/null
+++ b/libraries/openmotif/openmotif.info
@@ -0,0 +1,8 @@
+PRGNAM="openmotif"
+VERSION="2.3.0"
+HOMEPAGE="http://motifzone.net/"
+DOWNLOAD="ftp://ftp.ics.com/openmotif/2.3/2.3.0/openmotif-2.3.0.tar.gz"
+MD5SUM="99d0ecb84d3504da421021a19ff70500"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@batts.mine.nu"
+APPROVED="Erik Hanson"
diff --git a/libraries/openmotif/slack-desc b/libraries/openmotif/slack-desc
new file mode 100644
index 0000000000..938dda6864
--- /dev/null
+++ b/libraries/openmotif/slack-desc
@@ -0,0 +1,8 @@
+openmotif: openMotif ( X libraries)
+openmotif:
+openmotif: Open Motif is the freely available source code
+openmotif: distribution for the Motif user interface component
+openmotif: toolkit. Open Motif is built on top of the standard
+openmotif: X Toolkit(Xt) and X11 libraries.
+openmotif:
+openmotif: